=== debian/changelog ===
rtw89 (1.0.2-1) unstable; urgency=medium

  * update

 -- lwfinger <Larry.Finger@lwfinger.net>  Tue, 27 Jul 2021 11:35:57 +0800

rtw89 (1.0.1-1) unstable; urgency=medium

  * fix Remove unnecessary dependencies.

 -- lichenggang <lichenggang@uniontech.com>  Wed, 23 Jun 2021 20:16:05 +0800

rtw89 (1.0.0-1) unstable; urgency=medium

  * Add driver package to build DEB package support in Debian DKMS format.

 -- lichenggang <lichenggang@uniontech.com>  Thu, 17 Jun 2021 17:14:07 +0800
