=== debian/changelog ===
rtw89 (1.0.3-1) unstable; urgency=medium

  * support linux 5.17.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 19 Apr 2022 13:41:03 +0800
